import { OnesTable } from '../../../../@ones-table/common';
import './find-dialog.scss';
export declare class FindDialog {
    private table;
    private type;
    private readonly dialog;
    private targetElement;
    private searchResult;
    private components;
    constructor(table: OnesTable, type?: 'find' | 'replace');
    show(type: 'find' | 'replace'): void;
    close(): void;
    destroy(): void;
    private createDialogContent;
    private handleTypeChange;
    private handleFindInputChange;
    private handleFindInputKeydown;
    private handleReplaceInputKeydown;
    private find;
    private setSearchResult;
    private gotoCell;
    private gotoPrev;
    private gotoNext;
    private replaceCell;
    private replace;
    private replaceAll;
    private registerShortcut;
    private updateStates;
    static showFindDialog(table: OnesTable, type: 'find' | 'replace'): void;
}
